nenoDevelopers
⌘K
v1

Bills & Expenses

List expenses

GET/expenses

Documented alias of GET /bills. It has the same parameters and response shape. Requires the bills:read scope. See GET /bills.

Query parameters

statusstring

Customer-facing bill status.

NEEDS_YOUR_ATTENTIONWAITING_FOR_ACCOUNTANTBOOKEDDUPLICATE
processingStatusstring

Processing state for the uploaded document.

PROCESSINGNEEDS_REVIEWREVIEWEDFAILED
docTypestring
INVOICERECEIPTCREDIT_NOTEUNKNOWN
supplierSearchstring
dueAfterstring · date
dueBeforestring · date
limitinteger · 1–100default 25
cursorstring · uuid

UUID cursor from a previous page's nextCursor.

Responses

200
OK. A page of bills / expenses.
400
Bad request. Malformed request.
401
Unauthorized. Missing, invalid, revoked, or expired API key.
403
Forbidden. The API key lacks a required scope or the creator lacks a required permission.
429
Too many requests. Rate limit exceeded.
Request
curl https://api.neno.build/public/v1/expenses \
-H "Authorization: Bearer $NENO_API_KEY"
200 OK · application/json
{
"data": [
{
"id": "9b2f6c1e-4a7d-4f0e-8c3b-2d51e7a0f4c9",
"vendor": "Coolblue",
"supplierName": "Coolblue B.V.",
"documentNumber": "CB-2026-884120",
"status": "NEEDS_YOUR_ATTENTION",
"processingStatus": "REVIEWED",
"docType": "INVOICE",
"currencyCode": "EUR",
"netAmountMinor": "82562",
"taxTotalMinor": "17338",
"tipTotalMinor": null,
"totalMinor": "99900",
"documentDate": "2026-09-24",
"dueDate": "2026-10-24",
"paidAt": null,
"bookedAt": null,
"createdAt": "2026-09-24T09:30:00Z",
"updatedAt": "2026-09-24T09:30:00Z"
}
],
"nextCursor": null,
"hasMore": false
}